Subject: Re: bug#76402: ‘guix-packages-website’ fails to start

From: Luis Felipe <[email-masked]>
Date: Tue, 18 Feb 2025 21:00:41 +0000

On 18/02/25 19:20, Andreas Enge wrote:
> Hello,
Hi,
> I have just rebooted the server once, and am in the process of rebooting
> once again with a different configuration. Maybe have a new look after
> that. I actually had to comment out guix-packages-website-service-type
> to be able to reconfigure; it might be a problem of version
> incompatibilities.
Yes, it seems bayfront is now using the version of Artanis that 
introduced a "plugins" system and it is expecting the Guix Packages 
Website to have a "conf/plugins.scm" module, which it hasn't because 
current version was tested for Artanis 0.6 and 1.0. Should I start 
specifying the versions of the dependencies to avoid these kinds of 
problems? I think this is not the first time this happens.